<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"> 
    <script src= "https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"> </script> 
    <script src= "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script> 
    <script src= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <title>Story 6</title>
</head>

{% extends 'base.html' %}
{% load static %}

{% block navbar %}
  <div class="row">
    <div class="col-sm-4">
      <a class="navbar-brand text-center" style= "padding-left: 70px" href="/"><b>HOME</b></a>
    </div>
  </div>
  {% endblock %}

  {% block content %}
  <body>
    <div class = "container-fluid bg-1 airbnb">
    <div>
        <form id="form" method="POST" action="/story6/post-kegiatan" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                {{ forms.kegiatan_form.as_p }}
            </div>
            <br>
            <button type="submit" style="background-color: #2997FF; color: #ffffff;" class="btn" id="bton">Tambah Kegiatan</button>
        </form>
    </div>
    <br><br>

    {% for kegiatan in data.kegiatan %}
        <div class="card border-dark mb-3" style="max-width: 18rem; text-align: center; margin: 0 auto; background-color: #323233; color:#ffffff;
            float: none;
            margin-bottom: 10px;">
            <div class="card-header">{{ kegiatan.nama }}</div>
            <div class="card-body text-dark">
                <h5 class="card-title" style="color:#ffffff">Peserta : </h5>
                {% for peserta in data.peserta %}
                    {% if peserta.kegiatan.nama == kegiatan.nama %}
                        <p class="card-text" style="color:#ffffff">{{ peserta.nama }}</p>
                    {% endif %}
                {% endfor %}
            </div>
            <form id="form" method="POST" action="/story6/post-peserta/{{ kegiatan.id }}" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group">
                    {{ forms.peserta_form.as_p }}
                </div>
                <br>
                <button type="submit" style="background-color: #2997FF; color: #ffffff;" class="btn btn" id="bton">Tambah Peserta</button>
            </form>
        </div>
  {% endfor %}
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
          integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
          crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
          integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
          crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
          integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
          crossorigin="anonymous"></script>
  </div>
</body>
</html>
{% endblock %}
